{% trans_default_domain 'admin' %}

{% if value %}
	{% set haveVotes = value.votes|length > 0 %}
	{% set haveChangeset = value.changeset|length > 0 %}
	<div class="panel-heading {{ haveVotes or haveChangeset ? 'body-content' : ''}}" role="tab" id="heading{{value.id}}" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse{{value.id}}" aria-expanded="true" aria-controls="collapse{{value.id}}">
		{% if value.isDirectModeration %}
			<div class="small-margin">
					<b>{{ ('elements.fields.contributionType_choices.' ~ value.type)|trans | upper }}</b>
					{% include 'admin/partials/show_one_contribution_proposed_by.html.twig' %}
					{% if value.resolvedMessage %}<span style="margin-left: 5px"><i>{{ value.resolvedMessage}}</i></span>{% endif %}
			</div>
		{% else %}
			<div class="small-margin">
					<b>{{ ('elements.fields.contributionType_choices.' ~ value.type)|trans | upper }}</b>
					{% include 'admin/partials/show_one_contribution_proposed_by.html.twig' %}
			</div>

			<div class="small-margin">
				{% include 'admin/partials/display_choice_status.html.twig' with {'value': value.status, 'object': value.element} %}
				{% if value.resolvedBy %}
					<span>{{ 'elements.proposedBy'|trans ~ ' ' ~ value.resolvedBy }}</span>
					<span>{{ 'elements.proposedAt'|trans ~ ' ' ~ value.updatedAt|date('commons.date_time_format'|trans) }}</span>
				{% endif %}
				{% if value.resolvedMessage %}<span style="margin-left: 5px"><i>{{ value.resolvedMessage}}</i></span>{% endif %}
			</div>
		{% endif %}

		{% if value.isPending and value.webhookPosts %}
			<div class="text-orange">{{ 'config_osm.sync.wait_validation'|trans }}</div>
		{% else %}
			{% for post in value.webhookPosts %}
				{% include "admin/partials/show_webhook_post.html.twig" %}
			{% endfor %}
		{% endif %}
	</div>

	{% if haveVotes or haveChangeset %}
		<div id="collapse{{value.id}}" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading{{value.id}}">
			<div class="panel-body">
				{% if haveVotes %}
					<b style="line-height: 3.5rem;">{{ 'sonata.user.user.fields.votes'|trans }}</b>
					{% for key, vote in value.votes %}
							{% if vote.value is defined %}
								{% set labelClass = vote.value >= 0 ? 'label-success' : 'label-danger' %}
								{% include "admin/partials/display_vote_report_item.html.twig" with {'item': vote} %}
							{% endif %}
					{% endfor %}
				{% endif %}

				{% if haveChangeset %}
					{% include "admin/partials/show_contrib_changeset.html.twig" with {'contrib': value} %}
				{% endif %}
			</div>
		</div>
	{% endif %}

{% endif %}

<style>

div.small-margin { margin-bottom:5px; }

</style>

